# Views Reference Extras

This module is for more contributed features extending 
[Views Reference Field](https://www.drupal.org/project/viewsreference) allowing that module
to be focused on the core functionality and be kept simple.

## Features
For now this module has only one feature:

1. **Handling complex Views Reference field configurations**

   Views Reference Field configurations that have many options - like control of which options are shown in a long list
   of terms - can result in 414 errors. Install this module to extend the compression provided in #3396530: Views
   reference results in 414 if many options set and ajax used to reload the settings from the entity rather than passing 
   all settings in the query string.

## Post-Installation
No change is needed. The module automatically enables the above feature. If multiple features are eventually added, an
interface for opting in to features will be set up and an upgrade hook to maintain the status quo will be in place (ie,
this first feature will remain enabled on new sites). If you are still seeing this message, you do not need to take any
action other than enabling the module.

## Supporting organizations:
[Soapbox](https://designbysoapbox.com/) - Original development and maintenance.